cascading.flow.planner.rule.elementexpression

## Class GroupOrMergeElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.OrElementExpression
    - - cascading.flow.planner.rule.elementexpression.GroupOrMergeElementExpression

All Implemented Interfaces:
  Expression<FlowElement>

    public class GroupOrMergeElementExpression
    extends OrElementExpression

### Constructor Summary

Constructors
Constructor and Description
`GroupOrMergeElementExpression()`
`GroupOrMergeElementExpression(ElementCapture capture)`
`GroupOrMergeElementExpression(ElementCapture capture, TypeExpression.Topo topo)`
`GroupOrMergeElementExpression(TypeExpression.Topo topo)`

### Method Summary

### Methods inherited from class cascading.flow.planner.iso.expression.OrElementExpression

`applies, or, or, or, or, toString`

### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

`getCapture`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GroupOrMergeElementExpression

    public GroupOrMergeElementExpression()

#### GroupOrMergeElementExpression

    public GroupOrMergeElementExpression(TypeExpression.Topo topo)

#### GroupOrMergeElementExpression

    public GroupOrMergeElementExpression(ElementCapture capture)

#### GroupOrMergeElementExpression

    public GroupOrMergeElementExpression(ElementCapture capture,
                                 TypeExpression.Topo topo)